Package org.jboss.resteasy.core

## Class QueryInjector

- java.lang.Object
- - org.jboss.resteasy.core.QueryInjector

- All Implemented Interfaces:
    `ValueInjector`

      public class QueryInjector
      extends Object
      implements ValueInjector

  Created by Simon Ström on 7/17/14.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryInjector​(Class type, ResteasyProviderFactory factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `inject​(boolean unwrapAsync)` | Inject outside the context of an HTTP request.
    `Object` | `inject​(HttpRequest request, HttpResponse response, boolean unwrapAsync)` | Inject inside the context of an HTTP request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryInjector

          public QueryInjector​(Class type,
                               ResteasyProviderFactory factory)

  - ### Method Detail

    - #### inject

          public Object inject​(boolean unwrapAsync)

      Description copied from interface: `ValueInjector`
      Inject outside the context of an HTTP request. For instance, a singleton may have proxiable and injectable jax-rs objects like Request, UriInfo, or HttpHeaders.
      Specified by:
        `inject` in interface `ValueInjector`
      Parameters:
        `unwrapAsync` - unwrap async
      Returns:
        object

    - #### inject

          public Object inject​(HttpRequest request,
                               HttpResponse response,
                               boolean unwrapAsync)

      Description copied from interface: `ValueInjector`
      Inject inside the context of an HTTP request.
      Specified by:
        `inject` in interface `ValueInjector`
      Parameters:
        `request` - http request
        `response` - http response
        `unwrapAsync` - unwrap async
      Returns:
        object